Bullet Collision Detection & Physics Library: btSliderConstraintData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btSliderConstraintData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btSliderConstraint.h>`

Collaboration diagram for btSliderConstraintData:
[legend]

## Public Attributes
btTypedConstraintData | m_typeConstraintData
btTransformFloatData | m_rbAFrame
btTransformFloatData | m_rbBFrame
float | m_linearUpperLimit
float | m_linearLowerLimit
float | m_angularUpperLimit
float | m_angularLowerLimit
int | m_useLinearReferenceFrameA
int | m_useOffsetForConstraintFrame

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 291 of file btSliderConstraint.h.

## Member Data Documentation

## ◆ m_angularLowerLimit

float btSliderConstraintData::m_angularLowerLimit

Definition at line 301 of file btSliderConstraint.h.

## ◆ m_angularUpperLimit

float btSliderConstraintData::m_angularUpperLimit

Definition at line 300 of file btSliderConstraint.h.

## ◆ m_linearLowerLimit

float btSliderConstraintData::m_linearLowerLimit

Definition at line 298 of file btSliderConstraint.h.

## ◆ m_linearUpperLimit

float btSliderConstraintData::m_linearUpperLimit

Definition at line 297 of file btSliderConstraint.h.

## ◆ m_rbAFrame

btTransformFloatData btSliderConstraintData::m_rbAFrame

Definition at line 294 of file btSliderConstraint.h.

## ◆ m_rbBFrame

btTransformFloatData btSliderConstraintData::m_rbBFrame

Definition at line 295 of file btSliderConstraint.h.

## ◆ m_typeConstraintData

btTypedConstraintData btSliderConstraintData::m_typeConstraintData

Definition at line 293 of file btSliderConstraint.h.

## ◆ m_useLinearReferenceFrameA

int btSliderConstraintData::m_useLinearReferenceFrameA

Definition at line 303 of file btSliderConstraint.h.

## ◆ m_useOffsetForConstraintFrame

int btSliderConstraintData::m_useOffsetForConstraintFrame

Definition at line 304 of file btSliderConstraint.h.

The documentation for this struct was generated from the following file:

- btSliderConstraint.h